<?php
	//Pedro 03/Junio/2019
	//Este fichero es el que vamos a lanzar cuando hay un URLOK en la pasarela de redsys
	ob_start();
	$Ds_SignatureVersionOriginal = 'HMAC_SHA256_V1';
	$Ds_SignatureVersion = Getter::get('Ds_SignatureVersion', '');
	$Ds_MerchantParameters = Getter::get('Ds_MerchantParameters', '');
	$Ds_Signature = Getter::get('Ds_Signature', '');


?><pre><?php
	var_dump($Ds_SignatureVersion);
	var_dump($Ds_MerchantParameters);
	var_dump($Ds_Signature);
?></pre><?php
/*
Email::sendMail(array(
	'destinatario' => 'pedro@arminet.es,Pedro Pablo Carranza Entrena',
	'asunto' => 'Datos técnicos pasarela ',
	'contenido' => '
	Ds_SignatureVersion = ' . $Ds_SignatureVersion . '
	Ds_MerchantParameters = ' . $Ds_MerchantParameters . '
	Ds_Signature = ' . $Ds_Signature
));
*/
	if ( 
		(trim($Ds_SignatureVersion) != '') && 
		(trim($Ds_MerchantParameters) != '') && 
		(trim($Ds_Signature) != '') && 
		($Ds_SignatureVersionOriginal == $Ds_SignatureVersion) 
	){
		//EN este caso hemos recibido todos los parámetros necesarios.
		//Vamos a lanzar el módulo de la pasarela:
		$redsys_object = Module::Redsys_pasarela(NULL, array(
			'Ds_SignatureVersionOriginal' => 'HMAC_SHA256_V1',
			'Ds_SignatureVersion' => $Ds_SignatureVersion,
			'Ds_MerchantParameters' => $Ds_MerchantParameters,
			'Ds_Signature' => $Ds_Signature,
			'chequear_pago' => true				//Con este parámetro indicamos que no estamos generando una pasarela si no recibiendo datos que hay que comprobar
		));
		//Por si tuviese que mostrar algo:
		echo($redsys_object);
	}
	//Ya enviamos un email desde el módulo de redsys, para qué vamos a enviar otro aquí
	$resultado = ob_get_clean();
	Email::sendMail(array(
		'destinatario' => Shop::$empresa->direccion_email . ',' . Shop::$empresa->nombre_legal . ';web@arminet.es,Arminet',
		'asunto' => 'Datos técnicos pasarela ',
		'contenido' => 'Estos son los datos técnicos de la respuesta de la web a una solicitud de su pasarela bancaria:
		' . $resultado
	));
?>